Minova ERP Internal - Feature #1420

[ERP Internal] Report Sales
07/28/2022 11:57 AM - Maulina Hali

Status: Assigned Start date: 07/28/2022
Priority: High Due date: 09/16/2022
Assignee: Maulina Hali % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 13.00 hours
Description

Dear Mas Azid,

Mohon bantuannyaa untuk melakukan penyesuaian atas report "Sales Recap" dan "Sales Document Detail" sesuai dengan desain
terlampir. Dan juga mohon dibuatkan report baru "Payment Status" pada modul sales report, desain terlampir juga yaaa.

Demikian yang dapat saya sampaikan, mohon bantuanya yaaa
Terimakasih

Detail Info

Menu : Logistic & Services - Reporting
Port : http://remote.minovais.com:51110
DB Name : MinovaES_ERP_2021

SQL Server : 192.168.100.181

Username : Tri
Ps 1 123Aa

History

#1 - 07/28/2022 12:05 PM - Maulina Hali
- File Contoh Report Sales Recap_rev1.xls added

#2 - 08/05/2022 09:55 AM - Kezia Pawitra Yulianti
- Due date changed from 08/01/2022 to 08/09/2022
- Status changed from New to Assigned

- Assignee changed from M Azid Wahyudi to shofwan shiddiq

Dear Shofwan,
berikut yaa contoh report yg harus d buat.

Nanti akan d update kembali design nya beserta detail2 informasi tabel dan field yg d butuhkan.

Sementara pelajari dulu ya

Tks

#3 - 08/05/2022 11:22 AM - Maulina Hali
- File Contoh Report Sales Recap_rev2_05082022.xIs added

Berikut terlampir design report sales beserta detail informasi tabel dan field.

#4 - 08/29/2022 11:58 AM - Kezia Pawitra Yulianti
- File Contoh Report Sales Recap_rev3_29082022.xIs added
- Due date changed from 08/09/2022 to 08/29/2022

dear all,
berikut yaa revisi comment di excelnya untuk tiap tabel di tiap2 field

Tks

#5 - 09/02/2022 11:11 AM - shofwan shiddiq
http://remote.minovais.com:51110

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan
Dear Fio, Mba Yaya. Report Sales Sudah saya upload, bisa di test. Terima Kasih

#6 - 09/05/2022 08:47 AM - Kezia Pawitra Yulianti
- Assignee changed from Fiona Avangeline Jonathan to Maulina Hali

Maul,
tolong bantu test report sales nya ya, coba tanya ke Shofwan di deploy nya kayaknya msh di port demo deh
Kalu udah ok baru nanti deploy ke port internal minova

Tks

#7 - 09/05/2022 02:40 PM - Maulina Hali

- Assignee changed from Maulina Hali to shofwan shiddiq

Dear Mas Shofwan,

Berikut beberapa catatan dari hasil testing yang telah dilakukan pada Report Sales Recap:

1. Terkait dengan field Customer ID saat ini beberapa masih muncul sebagai ID belum sebagai Description (Tabel PTRSALESHEADER - Field
CustomerID Tabel Ref PMDCUS0001)

2. Terkait dengan field Description saat ini masih belum muncul (Tabel PTRSALESHEADER - Field Description)

3. Terkait dengan field Material/Service Desc belum muncul sebagai Description (Tabel PTRSALESITEMS - Field Item Type ) dan berikut catatan nya

- jika Item Type "0" maka cek PMDMATO0001
- jika item type "1" maka cek PMDSRV0001
- jika item type "2" maka cek PMDAST0001

Mohon bantuanya ya untuk dilakukan penyesuaian kembali atas hasil testing diatas, terimakasih.

#8 - 09/06/2022 03:51 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Maulina Hali
Dear mba Maul. Untuk Sales Recap Sudah saya Update, silahkan di cek. Terima Kasih

#9 - 09/12/2022 04:27 PM - Maulina Hali

- File clipboard-202209121601-aa4pk.png added

- File clipboard-202209121619-hefkk.png added

- Due date changed from 08/29/2022 to 09/16/2022

- Assignee changed from Maulina Hali to shofwan shiddiq

Dear Mas Shofwan,

Terkait dengan catatan diatas sudah sesuai yaa mas, untuk di report sales recap.

Namun ada beberapa penyesuain terkait dengan desain report sales untuk di port demo ini ya, berikut catatan nya :

1. Adanya penambabhan field "Tax Amount" pada Report Sales Recap. Posisi Field tersebut ada setelah field Net Amount, dan mohon untuk
melakukan setting untuk nilai tax menjadi parameter jangan di hardcode. Fyi saat ini nilai PPN 11% per April 2022

2. Saat ini perhitungan subtotal dan total hanya pada field total amount. Mohon ditambahkan perhitungan subtotal dan total pada field sbb :
- Quantity

- Discount

- Net Amount

- Tax Amount

Berikut saya lampirkan contoh report sales recap atas catatan diatas yaa.
SALES RECAP

[ companyin | DocNo [ customerid [ custPONumber | DocType Doc Desaription ! NoReferensi
PTMINOVA Service Type Service ID Service Desc / Total Amount - Term Of Payment
oo || el o Wl el el il
__ﬂm_
Service | SRVCOO3 enbancEgiedt] £ /) Ro 10,000,000.00 | 1100,000.00 11 100,000.00 | Termin [ o rya
| ‘-4 H V | sevice | SRVCO0S Efhancerriege] = L= Rp 10,000,000.00 | 0.00 0'00 Mtvob'ﬂo "1100,000.00 " 11,200,000.00 | Termn | T
| subTotal | " 0.00" 20,000,000.00"2,200,000.00" 22,200,000.00]
___ Implementasi Minova Accounting 015/SPH-MINOVAIS/\/2022 || 03/01/2022
Service SRVCO0Z Minova Accounting for Enterprise ,000,000. . 000 50,000,000.00 ” ,300,000.00  55,900,000.00 |
Service SRVC009 Enhancement Rp £,000,000.00 | 0.00 000 £000,000.00 " 520,000.00 " 5,820,000 | Termin

! 0.00 yx,wumm 10,780,000.00” 1m7sﬂ,w:ml
Total | " 000 '118,000,000.0012,980,000.00 "130,980,000.00]

Lalu berikut saya sampaikan juga ya, terkait dengan catatan report sales yang lainnya :

a. Report Sales Detalil
1. Terkait dengan field Material/Service Desc belum muncul sebagai Description (Tabel PTRSALESITEMS - Field ltem Type ) dan berikut catatan nya
- jika Item Type "0" maka cek PMDMATO0001

- jika item type "1" maka cek PMDSRV0001

- jika item type "2" maka cek PMDAST0001

2. Adanya penambahan field "Net Amount" dan "Tax Amount"

3. Saat ini perhitungan total hanya pada field total amount. Mohon ditambahkan perhitungan total pada field sbb :

- Quantity

- Discount

- Net Amount

- Tax Amount

4. Mohon disesuaikan juga yaa pada sub type payment term saat ini yang yang tertulis field "Accounting Date" seharusnya "Accounting Doc"

Berikut saya lampirkan contoh report sales doc detail atas catatan diatas yaa.
SALES DOCUMENT DETAIL PT MINOVA INFOTECH SOLUTIONS

Roseville Soho & Suite Lt. 09 Ho. 07 Sunburst CBD Lot 1.8 BSD City, II. Kapten Soebi joi Lengkong. pong Sub-District,
South Tangerang City, Banten 15321

e Author:
Document No : 00000001 Table PTRSALESHEADER

Document Date  : 02/01/2022

Customer ID 7. PTBAYUBUANA GEMILANG

Doc Type 7 sales Order
No Referensi : 010/SPH-MINOVAIS/1/2022
Description : Enhancement Penambahan Field Pada Report
Author:
PTRSALESITENS
Service Enhancement IDR 10,000,000.00 0.00 10,000,000.00 1,100,000.007  11,100,000.00,
Service Enhancement IDR 10,000,000.00 0.00 10,000,000.00 1,100,000.007  11,100,000.00
Total 000" 20000000007 2200000007  22,200,000.00
Author:
othercost | Netes | ey _____________________________ Amwmt____________________| Tabel
PTRSALESOTHRCOST
Total 0.00
Author:
Payment Term Posting Date Tabel
PTRSALESPAYTERM
Total 0.00

b. Report Payment Term

1. Terkait dengan field Customer ID saat ini beberapa masih muncul sebagai ID belum sebagai Description (Tabel PTRSALESHEADER - Field
CustomerID Tabel Ref PMDCUSO0001)

Mohon bantuanya kembali ya untuk dilakukan penyesuaian kembali atas hasil testing dan catatan diatas, terimakasih.

#10 - 09/13/2022 06:45 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Maulina Hali

Dear mba Maulina, Report Sales Recap, Status, dan Detail sudah di revisi, mohon di testing. Terima Kasih

Files

Contoh Report Sales Recap_rev1.xls 48 KB 07/28/2022 Maulina Hali
Contoh Report Sales Recap_rev2_05082022.xls 56.5 KB 08/05/2022 Maulina Hali
Contoh Report Sales Recap_rev3_29082022.xls 57 KB 08/29/2022 Kezia Pawitra Yulianti
clipboard-202209121601-aa4pk.png 44.6 KB 09/12/2022 Maulina Hali
clipboard-202209121619-hefkk.png 39.4 KB 09/12/2022 Maulina Hali
